org.h2.util.json

## Class JSONValueTarget

- java.lang.Object
- - org.h2.util.json.JSONTarget<JSONValue>
  - - org.h2.util.json.JSONValueTarget

    public final class JSONValueTarget
    extends JSONTarget<JSONValue>

JSON value target.

### Constructor Summary

Constructors
Constructor and Description
`JSONValueTarget()` Creates new instance of JSON value target.

### Method Summary

Methods
`void` `endArray()` End of the current array.
`void` `endObject()` End of the current object.
`JSONValue` `getResult()` Returns the result.
`boolean` `isPropertyExpected()` Returns whether member's name or the end of the current object is expected.
`boolean` `isValueSeparatorExpected()` Returns whether value separator expected before the next member or value.
`void` `member(java.lang.String name)` Name of a member.
`void` `startArray()` Start of an array.
`void` `startObject()` Start of an object.
`void` `valueFalse()` Parse "false".
`void` `valueNull()` Parse "null".
`void` `valueNumber(java.math.BigDecimal number)` A number value.
`void` `valueString(java.lang.String string)` A string value.
`void` `valueTrue()` Parse "true".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONValueTarget

    public JSONValueTarget()

Creates new instance of JSON value target.

### Method Detail

#### startObject

    public void startObject()

Description copied from class: `JSONTarget`
Start of an object.

Specified by:
  `startObject` in class `JSONTarget<JSONValue>`

#### endObject

    public void endObject()

Description copied from class: `JSONTarget`
End of the current object.

Specified by:
  `endObject` in class `JSONTarget<JSONValue>`

#### startArray

    public void startArray()

Description copied from class: `JSONTarget`
Start of an array.

Specified by:
  `startArray` in class `JSONTarget<JSONValue>`

#### endArray

    public void endArray()

Description copied from class: `JSONTarget`
End of the current array.

Specified by:
  `endArray` in class `JSONTarget<JSONValue>`

#### member

    public void member(java.lang.String name)

Description copied from class: `JSONTarget`
Name of a member.

Specified by:
  `member` in class `JSONTarget<JSONValue>`
Parameters:
  `name` - the name

#### valueNull

    public void valueNull()

Description copied from class: `JSONTarget`
Parse "null". `null` value.

Specified by:
  `valueNull` in class `JSONTarget<JSONValue>`

#### valueFalse

    public void valueFalse()

Description copied from class: `JSONTarget`
Parse "false". `false` value.

Specified by:
  `valueFalse` in class `JSONTarget<JSONValue>`

#### valueTrue

    public void valueTrue()

Description copied from class: `JSONTarget`
Parse "true". `true` value.

Specified by:
  `valueTrue` in class `JSONTarget<JSONValue>`

#### valueNumber

    public void valueNumber(java.math.BigDecimal number)

Description copied from class: `JSONTarget`
A number value.

Specified by:
  `valueNumber` in class `JSONTarget<JSONValue>`
Parameters:
  `number` - the number

#### valueString

    public void valueString(java.lang.String string)

Description copied from class: `JSONTarget`
A string value.

Specified by:
  `valueString` in class `JSONTarget<JSONValue>`
Parameters:
  `string` - the string

#### isPropertyExpected

    public boolean isPropertyExpected()

Description copied from class: `JSONTarget`
Returns whether member's name or the end of the current object is expected.

Specified by:
  `isPropertyExpected` in class `JSONTarget<JSONValue>`
Returns:
  `true` if it is, `false` otherwise

#### isValueSeparatorExpected

    public boolean isValueSeparatorExpected()

Description copied from class: `JSONTarget`
Returns whether value separator expected before the next member or value.

Specified by:
  `isValueSeparatorExpected` in class `JSONTarget<JSONValue>`
Returns:
  `true` if it is, `false` otherwise

#### getResult

    public JSONValue getResult()

Description copied from class: `JSONTarget`
Returns the result.

Specified by:
  `getResult` in class `JSONTarget<JSONValue>`
Returns:
  the result